#include <u.h>
#include <libc.h>
#include <thread.h>
#include "iwl.h"

void
threadmain(int argc, char *argv[])
{
	uchar mac[6];

	USED(argc);
	USED(argv);

	if (!iwlinit("#w")) {
		fprint(2, "can't initialize iwl\n");
		threadexitsall("error");
	}

	if (eemac(mac) != 6) {
		fprint(2, "can't get the MAC address\n");
		threadexitsall("error");
	}

	print("MAC address %02x:%02x:%02x:%02x:%02x:%02x\n",mac[0], mac[1], mac[2], mac[3], mac[4], mac[5]);

	threadexitsall("success");
}